/*
Theme Name: Event Tattoo
Template: twentytwentyfive
Version: 1.0
*/

:root {
  line-height: 1.5;
  --couleur-secondaire: #f4ebfe;
}

h1, h2, h3, h4, h5, h6 {
  text-wrap: balance;
}

strong {
  font-weight: 700;
}

.boite-media {
  margin: 0 !important;
  display: grid;
  max-width: none;
  grid-template-rows: auto 5rlh auto;
}
@media (min-width: 720px) {
  .boite-media {
    grid-template-columns: auto 1fr;
    grid-template-rows: auto;
  }
  .boite-media--inverse {
    grid-template-columns: 1fr auto;
  }
}
.boite-media + .boite-media {
  margin-top: 4.5rem !important;
}
.boite-media > * {
  grid-column: 1;
}
.boite-media .carte {
  grid-row: 2 / 4;
  margin-inline: 1.5rem !important;
}
@media (min-width: 720px) {
  .boite-media .carte {
    grid-column: 2;
    grid-row: 1;
    align-self: center;
    justify-self: center;
    margin-block: 3rem !important;
    --largeur-maximum: calc(400rem / 16);
  }
  .boite-media--inverse .carte {
    grid-column: 1;
  }
}
@media (min-width: 720px) {
  .boite-media::after {
    content: "";
    grid-column: 2;
    grid-row: 1;
    z-index: -1;
    background: linear-gradient(180deg, #FCA9BF 0%, #FEACC2 5.73%, #FDAAC1 9.66%, #FFAAC1 16.1%, #FEA8BD 22.18%, #FDA2BB 26.8%, #FEA5BD 31.54%, #FFA0B8 33.97%, #FEA6BE 36.51%, #FFA3BA 38.16%, #FF9CB7 39.85%, #FA91AA 42.55%, #FC99B2 45.5%, #FF9CB6 48.25%, #FB93AC 51.44%, #FE93AF 54.75%, #FC93B0 58.28%, #F88CA9 62.41%, #F48CA9 65.75%, #F68CA8 68.75%, #F38EAC 69.94%, #EF99B6 71.1%, #F29DBC 72.81%, #EF93B6 74.96%, #F192B7 77.47%, #ED97B9 80.31%, #F099BC 82.27%, #F1A0C1 84.01%, #EF9DBE 85.68%, #F3A4C4 87.61%, #F4A3C4 89.63%, #F5A7C6 92.14%, #F6A8C8 95.9%, #F7ADCE 100%);
  }
  .boite-media--inverse::after {
    grid-column: 1;
  }
}
.boite-media figure {
  margin: 0 !important;
}
.boite-media .wp-block-image {
  max-width: none;
  grid-row: 1 / 3;
}
@media (min-width: 720px) {
  .boite-media .wp-block-image {
    grid-row: 1;
  }
  .boite-media--inverse .wp-block-image {
    grid-column: 2;
  }
}


.carte {
  padding: 3rlh 1.5rlh 2rlh;
  border-radius: 8px;
  background: var(--couleur-fond, rgba(255, 255, 255, 0.80));
  max-width: var(--largeur-maximum, none);
  margin-inline: auto;
}
.carte .wp-block-paragraph + .wp-block-buttons {
  margin-top: 2rlh;
}


@media (min-width: 720px) {
  .oiseau {
    position: relative;
  }
  .oiseau::after {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%);
    content: "";
    display: block;
    width: 80px;
    height: 84px;
    background: no-repeat url(assets/images/oiseau.svg) center / contain;
  }
  .oiseau--droite::after {
    right: 0;
    left: auto;
    transform: translate(50%, -50%);
  }
}

.wp-block-button {
  text-wrap: balance;
}

@media (max-width: 599px) {
  .wp-block-navigation {
    order: 99;
    margin-left: 1.5rem !important;
  }
  .wp-block-navigation svg {
    width: 32px;
    height: 32px;
  }
}

.foire-aux-questions {
  margin-top: 6rem;
  padding: 1.5rem;
  border-radius: 8px;
  background: rgba(63, 172, 243, 0.10);
  max-width: calc(872rem / 16);
}
.foire-aux-questions h2 {
  color: var(--wp--preset--color--accent-4);
  margin-bottom: 2rlh;
}
.foire-aux-questions summary {
  position: relative;
  anchor-name: --summary;
  list-style: none;
}
.foire-aux-questions summary:focus {
  outline: none;
}
.foire-aux-questions summary::marker {
  content: "";
  display: none;
}
.foire-aux-questions summary::-webkit-details-marker {
  display: none;
}
.foire-aux-questions summary::after {
  display: block;
  content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 50.35 90'%3E%3Cpath d='M49 48.2c1.8-1.8 1.8-4.7 0-6.4L8.7 1.5c-2-2-5.2-2-7.2 0s-2 5.2 0 7.2l33.1 33.1c1.8 1.8 1.8 4.7 0 6.4L1.5 81.3c-2 2-2 5.2 0 7.2s5.2 2 7.2 0L49 48.2Z'/%3E%3C/svg%3E");
  width: 12px;
  height: 22px;
  transform: rotate(90deg);
  transform-origin: 50%;
  transition: transform .3s var(--ease-sharp-curve);
  position: absolute;
  position-anchor: --summary;
  inset-block-start: 0;
  inset-inline-end: 0;
}
.foire-aux-questions details[open] summary:after {
  transform: rotate(270deg);
}
.foire-aux-questions details + details {
  margin-top: 1.5rlh;
}
.foire-aux-questions p {
  max-width: 75ch;
}
.foire-aux-questions summary {
  font-weight: 700;
  cursor: pointer;
}

body.home .entry-content {
  padding-inline: 0;
}


.footer-gauche {
  border-radius: 0 80px 0 0;
  background: linear-gradient(
    90deg,
    rgba(119, 1, 255, 0.95) 0%,
    rgba(82, 63, 255, 0.95) 49.52%,
    rgba(55, 107, 255, 0.95) 100%
  );
  color: #fff;
  padding: 2rlh 1rlh;
  font-weight: 600;
}
footer .wp-block-list {
  list-style: none;
}

.wp-block-woocommerce-product-filters {
  border-radius: 0 80px;
  background: linear-gradient(90deg, #7701FF 0%, #523FFF 49.52%, #376BFF 100%);
  padding: 2rlh 1rlh;
}
.wc-block-product-filters__overlay-content {
  color: #fff;
}

.wpcpq-table .wpcpq-item-active {
  background-color: rgba(119, 1, 255, 0.08);
  color: inherit;
}

.reassurance {
  list-style: none;
  background: var(--couleur-secondaire);
  font-weight: bold;
  max-width: calc(460rem / 16);
  text-transform: uppercase;
  font-size: calc(12rem / 16);
}

.wp-block-navigation-item {
  font-weight: 600;
  font-size: calc(14rem / 16);
}
.wp-block-navigation-item.current-menu-item {
  font-weight: 900;
}

.conteneur {
  max-width: var(--wp--style--global--content-size);
  margin-left: auto;
  margin-right: auto;
}
.conteneur--grand {
  max-width: var(--wp--style--global--wide-size);
}
.conteneur--colonnes {
  max-width: calc(431rem / 16 * 2 + 48px);
}

.wp-block-separator {
  width: 60px;
  height: 7px;
  background: linear-gradient(90deg, #7701FF 0%, #523FFF 49.52%, #376BFF 100%);
}

.wp-block-button__link.wc-block-components-product-button__button.add_to_cart_button {
  background: transparent;
  padding: 0;
  text-decoration: underline;
  color: #001930;
  font-size: (--wp--preset--font-size--small);
  font-weight: normal;
  text-transform: none;
}
.woocommerce a.added_to_cart {
  margin-top: 0;
  padding-top: 0;
}

.wp-block-breadcrumbs {
  font-size: calc(12rem / 16);
  font-weight: 600;
}
.wp-block-breadcrumbs a {
  text-decoration: none;
}

.wc-block-customer-account__link {
  background: no-repeat url(assets/images/user.svg) center / contain;
  width: 23px;
  height: 24px;
  padding: 0;
}
.wc-block-customer-account__link svg {
  display: none;
}
.wc-block-mini-cart__button {
  padding: 0;
}